## EvDocumentTransition

EvDocumentTransition

## Functions

#define | EV_DOCUMENT_TRANSITION_IFACE()
#define | EV_IS_DOCUMENT_TRANSITION_IFACE()
gdouble | ev_document_transition_get_page_duration ()
EvTransitionEffect * | ev_document_transition_get_effect ()

## Types and Values

| EvDocumentTransition

## Object Hierarchy

        GInterface
        ╰── EvDocumentTransition

## Description

## Functions

### EV_DOCUMENT_TRANSITION_IFACE()

    #define EV_DOCUMENT_TRANSITION_IFACE(k)	       (G_TYPE_CHECK_CLASS_CAST((k), EV_TYPE_DOCUMENT_TRANSITION, EvDocumentTransitionInterface))

### EV_IS_DOCUMENT_TRANSITION_IFACE()

    #define EV_IS_DOCUMENT_TRANSITION_IFACE(k)     (G_TYPE_CHECK_CLASS_TYPE ((k), EV_TYPE_DOCUMENT_TRANSITION))

### ev_document_transition_get_page_duration ()

    gdouble
    ev_document_transition_get_page_duration
                                   (EvDocumentTransition *document_trans,
                                    gint page);

### ev_document_transition_get_effect ()

    EvTransitionEffect *
    ev_document_transition_get_effect (EvDocumentTransition *document_trans,
                                       gint page);

## Types and Values

### EvDocumentTransition

    typedef struct _EvDocumentTransition EvDocumentTransition;